Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.reflect
Class IndexedListProperty

    java.lang.Object
      org.apache.cayenne.reflect.BaseProperty
          org.apache.cayenne.reflect.BaseArcProperty
              org.apache.cayenne.reflect.BaseToManyProperty
                  org.apache.cayenne.reflect.ListProperty
                      org.apache.cayenne.reflect.IndexedListProperty

All Implemented Interfaces:
  ArcProperty, Property, ToManyProperty

Deprecated. since 3.0 (no substitute exists in Cayenne)

    public class IndexedListProperty

extends ListProperty

A CollectionProperty that uses IndexPropertyList.

Since:
  1.2
Author:
  Andrus Adamchik

Field Summary
`protected String` | `indexPropertyName` Deprecated.

Fields inherited from class org.apache.cayenne.reflect.BaseArcProperty
`complimentaryReverseArcName, relationship, targetDescriptor`

Fields inherited from class org.apache.cayenne.reflect.BaseProperty
`accessor, owner`

Constructor Summary
`IndexedListProperty(ClassDescriptor owner, ClassDescriptor targetDescriptor, Accessor accessor, String reverseName, String indexPropertyName)` Deprecated.

Method Summary
`protected ValueHolder` | `createCollectionValueHolder(Object object)` Deprecated. Creates a List indexed on a specified property.

Methods inherited from class org.apache.cayenne.reflect.ListProperty
`invalidate, isFault`

Methods inherited from class org.apache.cayenne.reflect.BaseToManyProperty
`addTarget, ensureCollectionValueHolderSet, injectValueHolder, readProperty, removeTarget, visit, writePropertyDirectly`

Methods inherited from class org.apache.cayenne.reflect.BaseArcProperty
`getComplimentaryReverseArc, getRelationship, getTargetDescriptor, setReverse`

Methods inherited from class org.apache.cayenne.reflect.BaseProperty
`getName, readPropertyDirectly, toString, writeProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.cayenne.reflect.ArcProperty
`getComplimentaryReverseArc, getRelationship, getTargetDescriptor`

Methods inherited from interface org.apache.cayenne.reflect.Property
`getName, readPropertyDirectly, writeProperty`

Field Detail

### indexPropertyName

    protected String indexPropertyName

  Deprecated.

Constructor Detail

### IndexedListProperty

    public IndexedListProperty(ClassDescriptor owner,
                               ClassDescriptor targetDescriptor,
                               Accessor accessor,
                               String reverseName,
                               String indexPropertyName)

  Deprecated.

Method Detail

### createCollectionValueHolder

    protected ValueHolder createCollectionValueHolder(Object object)
                                               throws PropertyException

  Deprecated.
  Creates a List indexed on a specified property.

  Overrides:
    `createCollectionValueHolder` in class `ListProperty`
  Throws:
    `PropertyException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.